Bug 848932 - wso2-wsf-cpp doesn't use RPM_OPT_FLAGS, and debuginfo package is broken
wso2-wsf-cpp doesn't use RPM_OPT_FLAGS, and debuginfo package is broken
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: wso2-wsf-cpp (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert Rati
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 16:49 EDT by Andy Grimm
Modified: 2016-11-07 22:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-22 13:21:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Grimm 2012-08-16 16:49:46 EDT
The omission of $RPM_OPT_FLAGS from CFLAGS in this package results in some source files being omitted from debuginfo, and some of the shared objects lacking correct info.  The fix is essentially:

-export CFLAGS="-O2 -D_FORTIFY_SOURCE=2"
+export CFLAGS="-O2 -D_FORTIFY_SOURCE=2 $RPM_OPT_FLAGS"

Thanks.
Comment 1 Andy Grimm 2013-02-22 13:21:20 EST
Fixed in Fedora 18

Note You need to log in before you can comment on or make changes to this bug.